# User.workflow

### Use&#x72;**.**<mark style="color:purple;">**workflow**</mark>**(*****workflow\_name*****)** → [Workflow](/api/client-libraries/redivis-python/reference/workflow.md)

Construct a new workflow instance that references a workflow owned by a user.

### **Parameters:**

**`workflow_name` :&#x20;*****str*** \
The name of the workflow, unique for all workflows owned by the user. The name is case-insensitive, and can optionally be escaped following general [name escaping rules](/api/referencing-resources.md#escaping-names). E.g., `"Example` workflow`: Climate analysis"` -> `"example_workflow_climate_analysis"`.

### **Returns:**

[**Workflow**](/api/client-libraries/redivis-python/reference/workflow.md)

### Examples

```python
user = redivis.user("imathews")
workflow = user.workflow("example_workflow_climate_analysis")

workflow.get()
print(workflow.properties) # Properties will be fully populated after calling .get()
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.redivis.com/api/client-libraries/redivis-python/reference/user/user.workflow.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
